Name: libini_config
Version: 0.6.1
Release: 0%{?dist}
Summary: INI file parser for C
Group: Development/Libraries
License: LGPLv3+
URL: http://fedorahosted.org/sssd/
Source0: %{name}-%{version}.tar.gz
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

### Patches ###

### Dependencies ###

### Build Dependencies ###
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: m4
BuildRequires: libcollection-devel
BuildRequires: libpath_utils-devel
BuildRequires: libref_array-devel
BuildRequires: doxygen

%description
Library to process config files in INI format into a libcollection data
structure

%package devel
Summary: Development files for libini_config
Group: Development/Libraries
License: LGPLv3+
Requires: libini_config = %{version}-%{release}

%description devel
Library to process config files in INI format into a libcollection data
structure

%prep
%setup -q

%build
%configure \
    --disable-static \
    --disable-rpath

make %{?_smp_mflags} all docs

%check
make %{?_smp_mflags} check

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# Remove .la files created by libtool
rm -f $RPM_BUILD_ROOT/%{_libdir}/libini_config.la

# Remove document install script. RPM is handling this
rm -f doc/html/installdox

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING
%doc COPYING.LESSER
%{_libdir}/libini_config.so.2
%{_libdir}/libini_config.so.2.0.0

%files devel
%defattr(-,root,root,-)
%{_includedir}/ini_config.h
%{_libdir}/libini_config.so
%{_libdir}/pkgconfig/ini_config.pc
%doc doc/html/

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%changelog
* Wed Aug 11 2010 Stephen Gallagher <sgallagh@redhat.com> - 0.6.1-0
- Automated build of libcollection
